PVBUS(4)

NAME
pvbus - paravirtual device tree root

SYNOPSIS
pvbus0 at mainbus0

DESCRIPTION
pvbus is used on virtual machines that are running on hypervisors. It provides a pseudo-bus for all paravirtual devices that do not attach to a well-known bus like pci(4). The pvbus driver is responsible for detecting the hypervisor interface, checking the capabilities, and attaching the paravirtual devices.

  Supported hypervisors
KVM Kernel-based Virtual Machine
Hyper-V
    Microsoft Hyper-V
VMware
    VMware vSphere Hypervisor and ESXi
Xen Xen VMM

Note that a hypervisor can attempt to emulate other hypervisors, so multiple hypervisor interfaces may be available on the same host.

  VMware paravirtual devices
vmt(4)
    VMware Tools driver

SEE ALSO
autoconf(4), intro(4), mainbus(4)

HISTORY
The pvbus pseudo-bus first appeared in OpenBSD 5.8.

AUTHORS
The pvbus pseudo-bus was written by Reyk Floeter <reyk@openbsd.org>.